import com.sun.java.swing.JToolBar;
import com.sun.java.swing.JButton;
import com.sun.java.swing.ImageIcon;

import com.sun.java.swing.JFrame;
import com.sun.java.swing.JTextArea;
import com.sun.java.swing.JScrollPane;
import com.sun.java.swing.JPanel;

import java.awt.*;
import java.awt.event.*;

public class ToolBarDemo extends JPanel
                         implements ActionListener {
    protected String[] bNames = {"left", "middle", "right"};
    protected JTextArea textArea;
    protected String newline;

    public ToolBarDemo() {
        //First, initialize properties.
        newline = System.getProperty("line.separator"); //XXX: OK?

        //Second, create the toolbar and its contents (buttons).
        JToolBar toolBar = new JToolBar();
        JButton b = null;
        for (int i = 0; i < bNames.length; i++) {
            b = new JButton(new ImageIcon("images/" + bNames[i] + ".gif"));
            b.setToolTipText(bNames[i]);
            b.addActionListener(this);
            b.setActionCommand(bNames[i]);
            toolBar.add(b);
        }

        //Now create the text area used for output.
        textArea = new JTextArea(5, 30);
        JScrollPane scrollPane = new JScrollPane(textArea);

        setPreferredSize(new Dimension(400, 100));
        setLayout(new BorderLayout()); //Near-empty BorderLayout is 
                                       //required for dragging out
                                       //toolbars.
        add(toolBar, BorderLayout.NORTH);
        add(scrollPane, BorderLayout.CENTER);
    }

    protected void displayResult(String s) {
        textArea.append(s + newline);
    }

    public void actionPerformed(ActionEvent e) {
        if (e.getActionCommand().equals(bNames[0])) {
            displayResult("Detected click of left button.");
        } else if (e.getActionCommand().equals(bNames[1])) {
            displayResult("Detected click of middle button.");
        } else {
            displayResult("Detected click of right button.");
        }
    }

    public static void main(String[] args) {
        JFrame frame = new JFrame("ToolBarDemo");
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        frame.getContentPane().add(new ToolBarDemo(), BorderLayout.CENTER);
        frame.pack();
        frame.show();
    }
}
